#
# spec file for package talloc (Version 2.0.7)
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

%{!?python_sitearch:  %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}


Name:           talloc
%if 0%{?suse_version} == 0 || 0%{?suse_version} > 1140
%define	build_make_smp_mflags %{?_smp_mflags}
%else
%define	build_make_smp_mflags %{?jobs:-j%jobs}
%endif
License:        LGPL-3.0+
Group:          System/Libraries
Url:            http://talloc.samba.org/
Version:        2.0.7
Release:        0
PreReq:         /sbin/ldconfig
Summary:        Samba talloc Library
Source:         http://download.samba.org/pub/talloc/talloc-%{version}.tar.gz
Source4:        baselibs.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Talloc is a hierarchical, reference counted memory pool system with
destructors.

It is the core memory allocator used in Samba.


%package -n libtalloc2
License:        LGPL-3.0+
Summary:        Libraries and Header Files to Develop Programs with talloc2 Support
BuildRequires:  autoconf
BuildRequires:  docbook-xsl-stylesheets
BuildRequires:  doxygen
BuildRequires:  libxslt
%if 0%{?suse_version} > 1020
BuildRequires:  pkg-config
%else
BuildRequires:  pkgconfig
%endif
BuildRequires:  python-devel
Provides:       bundled(libreplace)

%description -n libtalloc2
Talloc is a hierarchical, reference counted memory pool system with
destructors.

It is the core memory allocator used in Samba.

This package includes the talloc2 library.


%package -n libtalloc-devel
License:        LGPL-3.0+
Summary:        Libraries and Header Files to Develop Programs with talloc2 Support
Group:          Development/Libraries/C and C++
Requires:       libtalloc2 = %{version}

%description -n libtalloc-devel
Talloc is a hierarchical, reference counted memory pool system with
destructors.

It is the core memory allocator used in Samba.

Libraries and Header Files to Develop Programs with talloc2 Support


%package -n pytalloc
License:        LGPL-3.0+
Summary:        Python bindings for the Talloc library
Group:          Development/Libraries/Python
Requires:       libtalloc2 = %{version}

%description -n pytalloc
This package contains the python bindings for the Talloc library.


%package -n pytalloc-devel
License:        LGPL-3.0+
Summary:        Developer tools for the Talloc library
Group:          Development/Libraries/Python
Requires:       pytalloc = %{version}

%description -n pytalloc-devel
Libraries and Header Files to Develop Programs with pytalloc Support


%prep
%setup -n talloc-%{version} -q

%build
%if 0%{?suse_version} && 0%{?suse_version} < 911
	OPTIMIZATION="-O"
%else
	# use the default optimization
	unset OPTIMIZATION
%endif
export CFLAGS="${RPM_OPT_FLAGS} -D_GNU_SOURCE ${OPTIMIZATION} -D_LARGEFILE64_SOURCE -DIDMAP_RID_SUPPORT_TRUSTED_DOMAINS"
CONFIGURE_OPTIONS="\
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--bundled-libraries=NONE \
	--builtin-libraries=replace \
"
./configure ${CONFIGURE_OPTIONS}
%{__make} %{build_make_smp_mflags} \
	all
doxygen doxy.config

%check
%{__make} test

%install
DESTDIR=${RPM_BUILD_ROOT} make install

%post -n libtalloc2 -p /sbin/ldconfig

%postun -n libtalloc2 -p /sbin/ldconfig

%post -n pytalloc -p /sbin/ldconfig

%postun -n pytalloc -p /sbin/ldconfig

%files -n libtalloc2
%defattr(-,root,root)
%{_libdir}/libtalloc.so.*

%files -n libtalloc-devel
%defattr(-,root,root)
%{_includedir}/talloc.h
%{_libdir}/libtalloc.so
%{_libdir}/pkgconfig/talloc.pc
%{_mandir}/man3/talloc.3*

%files -n pytalloc
%defattr(-,root,root)
%{_libdir}/libpytalloc-util.so.*
%{python_sitearch}/talloc.so

%files -n pytalloc-devel
%defattr(-,root,root,-)
%{_includedir}/pytalloc.h
%{_libdir}/pkgconfig/pytalloc-util.pc
%{_libdir}/libpytalloc-util.so

%changelog
